Update Address
curl --request PUT \
--url http://access-wallet.test.ftrader.pro/wallet/api/address/updateimport requests
url = "http://access-wallet.test.ftrader.pro/wallet/api/address/update"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('http://access-wallet.test.ftrader.pro/wallet/api/address/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "http://access-wallet.test.ftrader.pro/wallet/api/address/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://access-wallet.test.ftrader.pro/wallet/api/address/update"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://access-wallet.test.ftrader.pro/wallet/api/address/update")
.asString();require 'uri'
require 'net/http'
url = URI("http://access-wallet.test.ftrader.pro/wallet/api/address/update")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_body{
"code": 123,
"msg": "<string>",
"data": {}
}Address Management
Update Address
PUT
/
wallet
/
api
/
address
/
update
Update Address
curl --request PUT \
--url http://access-wallet.test.ftrader.pro/wallet/api/address/updateimport requests
url = "http://access-wallet.test.ftrader.pro/wallet/api/address/update"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('http://access-wallet.test.ftrader.pro/wallet/api/address/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "http://access-wallet.test.ftrader.pro/wallet/api/address/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://access-wallet.test.ftrader.pro/wallet/api/address/update"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://access-wallet.test.ftrader.pro/wallet/api/address/update")
.asString();require 'uri'
require 'net/http'
url = URI("http://access-wallet.test.ftrader.pro/wallet/api/address/update")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_body{
"code": 123,
"msg": "<string>",
"data": {}
}Query Parameters
Address ID to update
Agency code
App identifier
App user ID
City
Country/Region
Whether this is the default address
Detailed address
First name
Last name
Mobile number
Postal code
Province/State
Signature
Street